<template>
  <v-app-bar
    id="default-app-bar"
    app
    absolute
    class="v-bar--underline"
    color="transparent"
    :clipped-left="$vuetify.rtl"
    :clipped-right="!$vuetify.rtl"
    height="70"
    flat
  >
    <v-app-bar-nav-icon
      class="hidden-md-and-up"
      @click="drawer = !drawer"
    />

    <!-- 小的按钮组件 -->
    <default-drawer-toggle class="hidden-sm-and-down" />

    <v-toolbar-title
      class="font-weight-light text-h3"
      v-text="name"
    />

    <v-spacer />

    <!-- <default-search class="hidden-sm-and-down" /> -->

    <!-- 主页标志 -->
    <default-go-home />

    <!-- 提示标志notification  我们暂时不要这个Notification-->
    <!-- <default-notifications /> -->

    <!-- 账号首页 -->
    <default-account />
  </v-app-bar>
</template>

<script>
  // Utilities
  // import { get, sync } from 'vuex-pathify'
  import { sync } from 'vuex-pathify'
  export default {
    name: 'DefaultBar',

    components: {
      DefaultAccount: () => import(
        /* webpackChunkName: "default-account" */
        './widgets/Account'
      ),
      DefaultDrawerToggle: () => import(
        /* webpackChunkName: "default-drawer-toggle" */
        './widgets/DrawerToggle'
      ),
      DefaultGoHome: () => import(
        /* webpackChunkName: "default-go-home" */
        './widgets/GoHome'
      ),
      // DefaultNotifications: () => import(
      //   /* webpackChunkName: "default-notifications" */
      //   './widgets/Notifications'
      // ),
      // DefaultSearch: () => import(
      //   /* webpackChunkName: "default-search" */
      //   './widgets/Search'
      // ),
    },
    data () {
      return {
        name: 'Bughub',
      }
    },

    computed: {
      ...sync('app', [
        'drawer',
        'mini',
      ]),
      // name: 'Bughub', // get('route/name'),//本身是找陆由的做法，我们这里把它写死
    },
  }
</script>
